> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Single Transaction

> Get single transaction by reference.



## OpenAPI

````yaml get /transfer/details
openapi: 3.0.3
info:
  title: GetPartna Api Documentation
  version: '3.0'
servers:
  - url: https://staging-api.getpartna.com/v4
  - url: https://api.getpartna.com/v4
security:
  - x-api-key: []
    x-api-user: []
  - authorization: []
tags:
  - description: user endpoints
    name: User
  - description: account endpoints
    name: Account
  - description: transfer endpoints
    name: Transfer
  - description: supported assets and networks
    name: Supported
  - description: discount endpoints
    name: Discount
  - description: rate endpoints
    name: Rate
  - description: KYC endpoints
    name: KYC
  - description: Multi-Factor Authentication endpoints
    name: MFA
  - description: ramp endpoints
    name: Ramp
  - description: pricing endpoints
    name: Pricing
  - description: banks
    name: Bank
  - description: mock endpoints for testing
    name: Mock
paths:
  /transfer/details:
    get:
      tags:
        - Transfer
      summary: Get Single Transaction
      description: Get single transaction by reference.
      operationId: get-transfer-details
      parameters:
        - description: ''
          in: query
          name: accountName
          required: false
          schema:
            type: string
        - description: ''
          in: query
          name: transactionReference
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                example:
                  data:
                    UTCTimestamp: '2025-08-22T14:40:00Z'
                    amount: 5000
                    creditAccount: chang
                    creditUser: chang
                    currency: USD
                    debitAccount: credit
                    debitUser: admin
                    status: completed
                    timestamp: 1755873600
                    transactionReference: a128185d297ea506e0555f1ceeeca67c
                    transactionType: Transfer
                  message: success
                properties:
                  data:
                    properties:
                      UTCTimestamp:
                        type: string
                      amount:
                        type: number
                      creditAccount:
                        type: string
                      creditUser:
                        type: string
                      currency:
                        type: string
                      debitAccount:
                        type: string
                      debitUser:
                        type: string
                      status:
                        type: string
                      timestamp:
                        type: number
                      transactionReference:
                        type: string
                      transactionType:
                        type: string
                    type: object
                  message:
                    type: string
                type: object
          description: get transfer details ok
        '404':
          content:
            application/json:
              schema:
                example:
                  message: transaction not found
                properties:
                  message:
                    type: string
                type: object
          description: get transfer details not found
      security:
        - x-api-key: []
          x-api-user: []
        - authorization: []
components:
  securitySchemes:
    x-api-key:
      in: header
      name: x-api-key
      type: apiKey
    x-api-user:
      in: header
      name: x-api-user
      type: apiKey
    authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````